var APIBase = require("../../api.base");
var system = require("../../../system");
class AccessAuthAPI extends APIBase {
    constructor() {
        super();
        this.utilsAuthSve = system.getObject("service.utilsSve.utilsAuthSve");
        this.gatewaypushlogSve = system.getObject("service.common.gatewaypushlogSve");
        this.utilsPushSve = system.getObject("service.utilsSve.utilsPushSve");
        this.pushlogSve = system.getObject("service.common.pushlogSve");
        this.aliclient = system.getObject("util.aliyunClient");
    }
    async taskAliIcapi() {
        var rtn = await this.gatewaypushlogSve.taskAliIcapi();
        return rtn;
    }
    async taskAgainFqPushInfo(pobj, qobj, req) {//再次推送蜂擎业务数据
        var rtn = await this.utilsPushSve.aliBusiness2Fq(pobj, pobj.opType);
        return rtn;
    }
    async taskAgainPushOneNewBusInfo(pobj, qobj, req) {//再次推送新rpc业务数据
        var rtn = await this.utilsPushSve.againPushBusInfo(pobj);
        if (rtn.status == 0) {
            this.pushlogSve.delDbPushfaillogById(Number(pobj.id || 0));
        }
        return rtn;
    }
    async taskAgainPushOneOldBusInfo(pobj, qobj, req) {//再次推送老rpc业务数据
        var rtn = await this.aliclient.reqbyget(pobj)
        return rtn;
    }
    // async taskAgainPushNewBusInfo(pobj, qobj, req) {//再次推送新rpc业务数据
    //     var rtn = await this.utilsPushSve.againPushBusInfo(pobj);
    //     return rtn;
    // }
    // async taskAgainPushOldBusInfo(pobj, qobj, req) {//再次推送老rpc业务数据
    //     var rtn = await this.aliclient.reqbyget(pobj)
    //     return rtn;
    // }
}
module.exports = AccessAuthAPI;